<?php

namespace FiloBlu\WebshopappCarrier\Observer;

use Magento\Framework\Event\Observer as EventObserver;
use Magento\Framework\Event\ObserverInterface;


/**
 * Tracker observer to replace the email template
 */
class ReplaceEmailTemplate implements ObserverInterface
{
    protected $_trackerDataHelper;
    protected $_logger;


    public function __construct(
        \FiloBlu\WebshopappCarrier\Helper\Data $shipperDataHelper,
        \Psr\Log\LoggerInterface $logger
    )
    {
        $this->_trackerDataHelper = $shipperDataHelper;
        $this->_logger = $logger;
    }
    /**
     * Record order shipping information after order is placed
     *
     * @param EventObserver $observer
     * @return void
     */
    public function execute(EventObserver $observer)
    {
        $this->_logger->info('Enter in observer replace template');
        $this->_logger->info('Enter in observer replace template');
        if ($this->_trackerDataHelper->getConfigValue('carriers/tracker1/active')) {

            $this->_logger->info('Module Tracker is enabled');

            $blockentity = $observer->getBlock();

            $this->_logger->info('template block: '.$blockentity->getTemplate());

            if ($blockentity->getTemplate() == 'Magento_Sales::email/shipment/track.phtml' ||
                $blockentity->getTemplate() == "FiloBlu_ShipmentEmailTrack::email/shipment/track.phtml") {
                $blockentity->setTemplate('FiloBlu_WebshopappCarrier::email/shipment/track.phtml');

                $this->_logger->info('template mail is override by FiloBlu_WebshopappCarrier');
            }
        }
    }

}

